org.modeshape.jcr.api.index

## Class NoSuchIndexException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jcr.RepositoryException
      - - org.modeshape.jcr.api.index.NoSuchIndexException

- All Implemented Interfaces:
    Serializable

      public class NoSuchIndexException
      extends RepositoryException

  Exception used when an index does not exist.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchIndexException()` Constructs a new instance of this class with `null` as its detail message.
    `NoSuchIndexException(String message)` Constructs a new instance of this class with the specified detail message.
    `NoSuchIndexException(String message, Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
    `NoSuchIndexException(Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchIndexException

          public NoSuchIndexException()

      Constructs a new instance of this class with `null` as its detail message.

    - #### NoSuchIndexException

          public NoSuchIndexException(String message)

      Constructs a new instance of this class with the specified detail message.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### NoSuchIndexException

          public NoSuchIndexException(Throwable rootCause)

      Constructs a new instance of this class with the specified root cause.
      Parameters:
        `rootCause` - root failure cause

    - #### NoSuchIndexException

          public NoSuchIndexException(String message,
                              Throwable rootCause)

      Constructs a new instance of this class with the specified detail message and root cause.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
        `rootCause` - root failure cause

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.